summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure142
1 files changed, 139 insertions, 3 deletions
diff --git a/configure b/configure
index 99782f37e..ce28f0d52 100755
--- a/configure
+++ b/configure
@@ -203,7 +203,7 @@ if as_func_ret_failure; then
203 echo as_func_ret_failure succeeded. 203 echo as_func_ret_failure succeeded.
204fi 204fi
205 205
206if (set x; as_func_ret_success y && test x = \"\$1\" ); then 206if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
207 : 207 :
208else 208else
209 exitcode=1 209 exitcode=1
@@ -407,7 +407,7 @@ if as_func_ret_failure; then
407 echo as_func_ret_failure succeeded. 407 echo as_func_ret_failure succeeded.
408fi 408fi
409 409
410if (set x; as_func_ret_success y && test x = \"\$1\" ); then 410if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
411 : 411 :
412else 412else
413 exitcode=1 413 exitcode=1
@@ -7101,7 +7101,118 @@ cat >>confdefs.h <<\_ACEOF
7101#define SSH_TUN_PREPEND_AF 1 7101#define SSH_TUN_PREPEND_AF 1
7102_ACEOF 7102_ACEOF
7103 7103
7104 ;; 7104 { echo "$as_me:$LINENO: checking if we have the Security Authorization Session API" >&5
7105echo $ECHO_N "checking if we have the Security Authorization Session API... $ECHO_C" >&6; }
7106 cat >conftest.$ac_ext <<_ACEOF
7107/* confdefs.h. */
7108_ACEOF
7109cat confdefs.h >>conftest.$ac_ext
7110cat >>conftest.$ac_ext <<_ACEOF
7111/* end confdefs.h. */
7112#include <Security/AuthSession.h>
7113int
7114main ()
7115{
7116SessionCreate(0, 0);
7117 ;
7118 return 0;
7119}
7120_ACEOF
7121rm -f conftest.$ac_objext
7122if { (ac_try="$ac_compile"
7123case "(($ac_try" in
7124 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7125 *) ac_try_echo=$ac_try;;
7126esac
7127eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7128 (eval "$ac_compile") 2>conftest.er1
7129 ac_status=$?
7130 grep -v '^ *+' conftest.er1 >conftest.err
7131 rm -f conftest.er1
7132 cat conftest.err >&5
7133 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7134 (exit $ac_status); } && {
7135 test -z "$ac_c_werror_flag" ||
7136 test ! -s conftest.err
7137 } && test -s conftest.$ac_objext; then
7138 ac_cv_use_security_session_api="yes"
7139
7140cat >>confdefs.h <<\_ACEOF
7141#define USE_SECURITY_SESSION_API 1
7142_ACEOF
7143
7144 LIBS="$LIBS -framework Security"
7145 { echo "$as_me:$LINENO: result: yes" >&5
7146echo "${ECHO_T}yes" >&6; }
7147else
7148 echo "$as_me: failed program was:" >&5
7149sed 's/^/| /' conftest.$ac_ext >&5
7150
7151 ac_cv_use_security_session_api="no"
7152 { echo "$as_me:$LINENO: result: no" >&5
7153echo "${ECHO_T}no" >&6; }
7154fi
7155
7156rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7157 { echo "$as_me:$LINENO: checking if we have an in-memory credentials cache" >&5
7158echo $ECHO_N "checking if we have an in-memory credentials cache... $ECHO_C" >&6; }
7159 cat >conftest.$ac_ext <<_ACEOF
7160/* confdefs.h. */
7161_ACEOF
7162cat confdefs.h >>conftest.$ac_ext
7163cat >>conftest.$ac_ext <<_ACEOF
7164/* end confdefs.h. */
7165#include <Kerberos/Kerberos.h>
7166int
7167main ()
7168{
7169cc_context_t c;
7170 (void) cc_initialize (&c, 0, NULL, NULL);
7171 ;
7172 return 0;
7173}
7174_ACEOF
7175rm -f conftest.$ac_objext
7176if { (ac_try="$ac_compile"
7177case "(($ac_try" in
7178 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7179 *) ac_try_echo=$ac_try;;
7180esac
7181eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7182 (eval "$ac_compile") 2>conftest.er1
7183 ac_status=$?
7184 grep -v '^ *+' conftest.er1 >conftest.err
7185 rm -f conftest.er1
7186 cat conftest.err >&5
7187 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7188 (exit $ac_status); } && {
7189 test -z "$ac_c_werror_flag" ||
7190 test ! -s conftest.err
7191 } && test -s conftest.$ac_objext; then
7192
7193cat >>confdefs.h <<\_ACEOF
7194#define USE_CCAPI 1
7195_ACEOF
7196
7197 LIBS="$LIBS -framework Security"
7198 { echo "$as_me:$LINENO: result: yes" >&5
7199echo "${ECHO_T}yes" >&6; }
7200 if test "x$ac_cv_use_security_session_api" = "xno"; then
7201 { { echo "$as_me:$LINENO: error: *** Need a security framework to use the credentials cache API ***" >&5
7202echo "$as_me: error: *** Need a security framework to use the credentials cache API ***" >&2;}
7203 { (exit 1); exit 1; }; }
7204 fi
7205else
7206 echo "$as_me: failed program was:" >&5
7207sed 's/^/| /' conftest.$ac_ext >&5
7208
7209 { echo "$as_me:$LINENO: result: no" >&5
7210echo "${ECHO_T}no" >&6; }
7211
7212fi
7213
7214rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7215 ;;
7105*-*-dragonfly*) 7216*-*-dragonfly*)
7106 SSHDLIBS="$SSHDLIBS -lcrypt" 7217 SSHDLIBS="$SSHDLIBS -lcrypt"
7107 ;; 7218 ;;
@@ -7415,6 +7526,31 @@ _ACEOF
7415_ACEOF 7526_ACEOF
7416 7527
7417 ;; 7528 ;;
7529*-*-k*bsd*-gnu)
7530 check_for_libcrypt_later=1
7531 cat >>confdefs.h <<\_ACEOF
7532#define PAM_TTY_KLUDGE 1
7533_ACEOF
7534
7535 cat >>confdefs.h <<\_ACEOF
7536#define LOCKED_PASSWD_PREFIX "!"
7537_ACEOF
7538
7539 cat >>confdefs.h <<\_ACEOF
7540#define SPT_TYPE SPT_REUSEARGV
7541_ACEOF
7542
7543
7544cat >>confdefs.h <<\_ACEOF
7545#define _PATH_BTMP "/var/log/btmp"
7546_ACEOF
7547
7548
7549cat >>confdefs.h <<\_ACEOF
7550#define USE_BTMP 1
7551_ACEOF
7552
7553 ;;
7418*-*-linux*) 7554*-*-linux*)
7419 no_dev_ptmx=1 7555 no_dev_ptmx=1
7420 check_for_libcrypt_later=1 7556 check_for_libcrypt_later=1